## com.baidubce.services.media.model
Class Target

    java.lang.Object
      com.baidubce.services.media.model.Target

    public class Target

extends Object

Constructor Summary
`Target()`

Method Summary
`String` `getPresetName()` 输出处理的模板的presetName
`String` `getTargetKey()` 目标文件的BOS key
`void` `setPresetName(String presetName)`
`void` `setTargetKey(String targetKey)`
`String` `toString()`
`Target` `withPresetName(String presetName)`
`Target` `withTargetKey(String targetKey)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Target

    public Target()

Method Detail

### getTargetKey

    public String getTargetKey()

  目标文件的BOS key

### setTargetKey

    public void setTargetKey(String targetKey)

### withTargetKey

    public Target withTargetKey(String targetKey)

### getPresetName

    public String getPresetName()

  输出处理的模板的presetName

### setPresetName

    public void setPresetName(String presetName)

### withPresetName

    public Target withPresetName(String presetName)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.